Bug 17545 - Make "Add biblio" not hidden by language chooser
Summary: Make "Add biblio" not hidden by language chooser
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-03 14:06 UTC by Magnus Enger
Modified: 2016-12-14 11:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
"Add biblio" hidden behind the language chooser (52.59 KB, image/png)
2016-11-03 14:06 UTC, Magnus Enger
Details
Bug 17545: Raise z-index for dropdown menus (1.10 KB, patch)
2016-11-04 08:21 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17545 - Make "Add biblio" not hidden by language chooser (1.97 KB, patch)
2016-11-04 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17545 [Revised] Make "Add biblio" not hidden by language chooser (2.43 KB, patch)
2016-11-04 13:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17545 [Revised] Make "Add biblio" not hidden by language chooser (2.59 KB, patch)
2016-11-04 13:53 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17545 [Revised] Make "Add biblio" not hidden by language chooser (2.65 KB, patch)
2016-11-18 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2016-11-03 14:06:03 UTC
Created attachment 57131 [details]
"Add biblio" hidden behind the language chooser

To reproduce: 

- Make sure more than one language is active for the staff client, so that the language chooser bar shows at the bottom of each page
- Do one or more Z39.50 searches, to make sure you have some records in the reservoir
- Go to "Cataloging" and do a "Catalog search", so that the reservoir is searched. Make sure your search is broad enough that some results from the reservoir is shown "below the fold"
- Scroll to the last result and click on the "Actions" menu
- Observe that the last choice in the menu, "Add biblio", is hidden behind the language chooser, and cannot be shown, no matter how hard you try to scroll further down.

See also attached image.
Comment 1 Magnus Enger 2016-11-03 14:09:43 UTC
I should add that I have tested this with Koha 16.05.05 and Chromium "53.0.2785.143 Built on Ubuntu , running on Ubuntu 16.04 (64-bit)".
Comment 2 Josef Moravec 2016-11-04 08:21:18 UTC
Created attachment 57156 [details] [review]
Bug 17545: Raise z-index for dropdown menus

Test plan:
0) Have any additional language instaled
1) Find any page which has some dropdown menu on bottom of content (for
    example cataloguing search - as it is described in bug report)
-> without patch is dropdown menu partially hidden under language
   chooser bottom bar
-> with patch is whole dropdown-menu visible (you may need to scroll
   down)
2) Try it in diferent browser
Comment 3 Magnus Enger 2016-11-04 13:39:15 UTC
I can't get this to work. The Chromium developer tools show me that the new z-index has been applied, but the last entry in the menu ("Add biblio") is still hidden behind the language chooser. I think maybe applying the z-index to ".dropdown-menu li" is too deep into the hierarchy?
Comment 4 Owen Leonard 2016-11-04 13:40:13 UTC
Created attachment 57195 [details] [review]
Bug 17545 - Make "Add biblio" not hidden by language chooser

This alternate patch changes the menu direction so that it "drops" up
instead of down. This avoids the problem of overlapping or being hidden
by the language chooser.

The disadvantage of this patch is that it is not global. However, I
think it's a better long-term solution to the problem.

To test, apply the patch and follow the issue description:

- Make sure more than one language is active for the staff client, so
  that the language chooser bar shows at the bottom of each page
- Do one or more Z39.50 searches, to make sure you have some records in
  the reservoir
- Go to "Cataloging" and do a "Catalog search", so that the reservoir is
  searched. Make sure your search is broad enough that some results from
  the reservoir is shown "below the fold"
- Scroll to the last result and click on the "Actions" menu

The direction of the menu should be up instead of down.
Comment 5 Owen Leonard 2016-11-04 13:46:11 UTC
Created attachment 57196 [details] [review]
Bug 17545 [Revised] Make "Add biblio" not hidden by language chooser

This alternate patch changes the menu direction so that it "drops" up
instead of down. This avoids the problem of overlapping or being hidden
by the language chooser.

The disadvantage of this patch is that it is not global. However, I
think it's a better long-term solution to the problem.

To test, apply the patch and follow the issue description:

- Make sure more than one language is active for the staff client, so
  that the language chooser bar shows at the bottom of each page
- Do one or more Z39.50 searches, to make sure you have some records in
  the reservoir
- Go to "Cataloging" and do a "Catalog search", so that the reservoir is
  searched. Make sure your search is broad enough that some results from
  the reservoir is shown "below the fold"
- Scroll to the last result and click on the "Actions" menu

The direction of the menu should be up instead of down.
Comment 6 Magnus Enger 2016-11-04 13:53:21 UTC
Created attachment 57197 [details] [review]
Bug 17545 [Revised] Make "Add biblio" not hidden by language chooser

This alternate patch changes the menu direction so that it "drops" up
instead of down. This avoids the problem of overlapping or being hidden
by the language chooser.

The disadvantage of this patch is that it is not global. However, I
think it's a better long-term solution to the problem.

To test, apply the patch and follow the issue description:

- Make sure more than one language is active for the staff client, so
  that the language chooser bar shows at the bottom of each page
- Do one or more Z39.50 searches, to make sure you have some records in
  the reservoir
- Go to "Cataloging" and do a "Catalog search", so that the reservoir is
  searched. Make sure your search is broad enough that some results from
  the reservoir is shown "below the fold"
- Scroll to the last result and click on the "Actions" menu

The direction of the menu should be up instead of down.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Popup menus on the cataloging search page now pop up instead
of down, which means they avoid being hidden by the language
chooser. Mission accimplished!
Comment 7 Katrin Fischer 2016-11-06 10:05:56 UTC
For me the pull downs still go down instead of up - not sure what's going on there?
Comment 8 Jonathan Druart 2016-11-18 09:37:10 UTC
Created attachment 57623 [details] [review]
Bug 17545 [Revised] Make "Add biblio" not hidden by language chooser

This alternate patch changes the menu direction so that it "drops" up
instead of down. This avoids the problem of overlapping or being hidden
by the language chooser.

The disadvantage of this patch is that it is not global. However, I
think it's a better long-term solution to the problem.

To test, apply the patch and follow the issue description:

- Make sure more than one language is active for the staff client, so
  that the language chooser bar shows at the bottom of each page
- Do one or more Z39.50 searches, to make sure you have some records in
  the reservoir
- Go to "Cataloging" and do a "Catalog search", so that the reservoir is
  searched. Make sure your search is broad enough that some results from
  the reservoir is shown "below the fold"
- Scroll to the last result and click on the "Actions" menu

The direction of the menu should be up instead of down.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Popup menus on the cataloging search page now pop up instead
of down, which means they avoid being hidden by the language
chooser. Mission accimplished!

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Kyle M Hall 2016-11-18 14:14:27 UTC
Pushed to master for 16.11, thanks Owen!
Comment 10 Mason James 2016-12-14 11:28:03 UTC
Pushed to 16.05.x, for 16.05.06 release